Package org.apache.cxf.validation

# Class ResponseConstraintViolationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
jakarta.validation.ValidationException
jakarta.validation.ConstraintViolationException
org.apache.cxf.validation.ResponseConstraintViolationException

All Implemented Interfaces:
  `Serializable`

public class ResponseConstraintViolationException extends jakarta.validation.ConstraintViolationException

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResponseConstraintViolationException(Set<? extends jakarta.validation.ConstraintViolation<?>> constraintViolations)`

- ## Method Summary

  ### Methods inherited from class jakarta.validation.ConstraintViolationException

  `getConstraintViolations`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ResponseConstraintViolationException

    public ResponseConstraintViolationException(Set<? extends jakarta.validation.ConstraintViolation<?>> constraintViolations)